using Microsoft.SqlServer.Server;
using SqlSugar;

namespace WmsMobileServe.DataBase.Base.Po;

/// <summary>
/// 入库任务表
/// </summary>
[SugarTable("T_ONGOODSSHELF")]
public class TOnGoodsShelf
{
    /// <summary>
    /// 入库单号
    /// </summary>
    [SugarColumn(ColumnName = "LOT_ID", IsPrimaryKey = true)]
    public string? LotId { get; set; }

    /// <summary>
    /// 物料编号
    /// </summary>
    [SugarColumn(ColumnName = "GOODSID")]
    public string? GoodsId { get; set; }

    /// <summary>
    /// 货主
    /// </summary>
    [SugarColumn(ColumnName = "PROVIDER_ID")]
    public string? ProviderId { get; set; }

    /// <summary>
    /// 库位
    /// </summary>
    [SugarColumn(ColumnName = "LOCATION_ID")]
    public string? LocationId { get; set; }

    /// <summary>
    /// 入库数量
    /// </summary>
    [SugarColumn(ColumnName = "STO_NUM")]
    public decimal? StoNum { get; set; }

    /// <summary>
    /// 接收数量
    /// </summary>
    [SugarColumn(ColumnName = "ACC_NUM")]
    public decimal? AccNum { get; set; }

    /// <summary>
    /// 上架数量
    /// </summary>
    [SugarColumn(ColumnName = "SHELF_NUM")]
    public decimal? ShelfNum { get; set; }

    /// <summary>
    /// 实际上架数量
    /// </summary>
    [SugarColumn(ColumnName = "STOCK_NUM")]
    public decimal? StockNum { get; set; }

    /// <summary>
    /// 上架时间
    /// </summary>
    [SugarColumn(ColumnName = "ONDATE")]
    public DateTime? OnDate { get; set; }

    /// <summary>
    /// 上架人
    /// </summary>
    [SugarColumn(ColumnName = "ONSHELFUSERID")]
    public string? OnShelfUserId { get; set; }

    /// <summary>
    /// 仓库编号
    /// </summary>
    [SugarColumn(ColumnName = "STORAGE_ID")]
    public string? StorageId { get; set; }

    /// <summary>
    /// 库区编号
    /// </summary>
    [SugarColumn(ColumnName = "STORAGE_AREA_ID")]
    public string? StorageAreaId { get; set; }

    /// <summary>
    /// 上架单号
    /// </summary>
    [SugarColumn(ColumnName = "UPGOODS_ID")]
    public string? UpGoodsId { get; set; }

    // HASVOLUME

    /// <summary>
    /// 商品类别编号
    /// </summary>
    [SugarColumn(ColumnName = "GOODS_TYPEID")]
    public string? GoodsTypeId { get; set; }

    /// <summary>
    /// 入库类型
    /// </summary>
    [SugarColumn(ColumnName = "STORAGE_MODE")]
    public string? StorageMode { get; set; }

    /// <summary>
    /// 生产日期
    /// </summary>
    [SugarColumn(ColumnName = "PRODUCTION_DATE")]
    public DateTime? ProdictionDate { get; set; }

    // GOODSVOLUME

    /// <summary>
    /// 载具号
    /// </summary>
    [SugarColumn(ColumnName = "CTL")]
    public string? Ctl {  get; set; }

    /// <summary>
    /// 
    /// </summary>
    [SugarColumn(ColumnName = "BARCODE")]
    public string? BarCode { get; set; }

    /// <summary>
    /// 客户编号
    /// </summary>
    [SugarColumn(ColumnName = "CUSTOMER_ID")]
    public string? CustomerId { get; set; }

    /// <summary>
    /// 物品名称
    /// </summary>
    [SugarColumn(ColumnName = "GOODSNAME")]
    public string? GoodsName { get; set; }

    // PLCID
    // HIGH

    /// <summary>
    /// 状态
    /// </summary>
    [SugarColumn(ColumnName = "STATUS")]
    public string? Status { get; set; }

    /// <summary>
    /// 
    /// </summary>
    public string? PRODUCLOTID { get; set; }

    /// <summary>
    /// 单位
    /// </summary>
    [SugarColumn(ColumnName = "UNIT")]
    public string? Unit {  get; set; }

    /// <summary>
    /// 保质期
    /// </summary>
    [SugarColumn(ColumnName = "BAOZHIQI")]
    public string? BAOZHIQI { get; set; }

    // WHSELOC
    // INSTAND


    
    /// <summary>
    /// 重量
    /// </summary>
    [SugarColumn(ColumnName = "WGH")]
    public string? WGH {  get; set; }

    // DECID

    /// <summary>
    /// 
    /// </summary>
    [SugarColumn(ColumnName = "TASKTYPE")]
    public string? TaskType { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [SugarColumn(ColumnName = "GOODS_MEASURE_ID")]
    public string? GoodsMeasureId { get; set; }

    /// <summary>
    /// 打包数量
    /// </summary>
    [SugarColumn(ColumnName = "PACKING_NUM")]
    public decimal? PackingNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [SugarColumn(ColumnName = "DAMAGE_NUM")]
    public decimal? DamageNum { get; set; }

    // ......

    /// <summary>
    /// 
    /// </summary>
    [SugarColumn(ColumnName = "SCALE_UNIT")]
    public string? ScaleUnit {  get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [SugarColumn(ColumnName = "REMARK")]
    public string? Remark { get; set; }


    [SugarColumn(ColumnName = "PO_HEADER_ID")]
    public string? PoHeaderId { get; set; }

    [SugarColumn(ColumnName = "PO_LINE_ID")]
    public string? PoLineId { get; set; }


}
